> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Current Company

> Returns the currently accessible company for the given token. Please note, the returned fields depend on the scopes that are enabled for your access token or API key.



## OpenAPI

````yaml get /platform/api/companies/current
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/companies/current:
    parameters: []
    get:
      tags:
        - A. Companies
      summary: GET Current Company
      description: >-
        Returns the currently accessible company for the given token. Please
        note, the returned fields depend on the scopes that are enabled for your
        access token or API key.
      operationId: get-companies
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Company'
              examples:
                example-1:
                  value:
                    id: string
                    address:
                      city: string
                      streetLine1: string
                      zip: string
                      country: string
                      state: string
                      streetLine2: string
                    workLocations:
                      - id: string
                        nickname: string
                        address:
                          city: string
                          streetLine1: string
                          zip: string
                          country: string
                          state: string
                          streetLine2: string
                    primaryEmail: string
                    phone: string
                    name: string
      security:
        - Token: []
components:
  schemas:
    Company:
      title: Company
      type: object
      description: A company object as represented within Rippling.
      x-tags:
        - Models
      x-examples:
        Sample:
          id: 5ec5595afa9c4e1728118cb5
          ein: null
          address:
            city: San Francisco
            state: CA
            country: US
            zip: '94110'
            streetLine1: 1234 21st Street
          tax_info:
            ein: null
            entityType: null
            incorporationDate: null
            soleProprieterSSN: null
            futaExempt: false
            signatory:
              id: 5ec5595dfa9c4e1728118d11
              name: James Smith
              firstName: James
              lastName: Smith
              dob: '2017-06-20'
              ssn: '238726664'
              phone: null
              title: Director of Product
              workEmail: cpitt+2@rippling.com
              signableName: James Smith
            nameWithIrs: null
            incorporationState: null
            entityName: Rippling_Integrations
            dba: null
            postalAddress: null
          payroll_settings:
            installState: ACTIVE
            usStates:
              - CA
              - IL
          workLocations:
            - id: 5ec5595cfa9c4e1728118ce1
              nickname: India
              address:
                city: Bangalore
                state: Karnataka
                country: IN
                zip: '560048'
                streetLine1: Prestige Shantiniketan
            - id: 5ec5595cfa9c4e1728118ce9
              nickname: San Francisco
              address:
                city: San Francisco
                zip: '94110'
                streetLine1: 1234 21st Street
                country: US
                state: CA
                steLocationCode:
                  cityCode: '277593'
                  psdCode: ''
                  schoolCode: ''
                  countyCode: '075'
                  stateCode: '06'
                  municipalityCode: ''
                  transitDistrictCode: ''
                  locationCode: 06-075-277593
            - id: 5ec5595cfa9c4e1728118cf1
              nickname: Chicago
              address:
                city: Chicago
                zip: '60606'
                streetLine1: 233 S Wacker Dr
                country: US
                state: IL
                steLocationCode:
                  cityCode: '423587'
                  psdCode: ''
                  schoolCode: ''
                  countyCode: '031'
                  stateCode: '17'
                  municipalityCode: ''
                  transitDistrictCode: ''
                  locationCode: 17-031-423587
          subscription: null
          primaryEmail: cpitt+2@rippling.com
          phone: '4155555555'
          name: Rippling_Integrations
      properties:
        id:
          type: string
        address:
          $ref: '#/components/schemas/Address'
        workLocations:
          type: array
          items:
            $ref: '#/components/schemas/WorkLocation'
        primaryEmail:
          type: string
        phone:
          type: string
        name:
          type: string
        entities:
          $ref: '#/components/schemas/Entities'
    Address:
      title: Address
      type: object
      description: An address object as stored within Rippling.
      x-tags:
        - Models
      nullable: true
      properties:
        streetLine1:
          type: string
        streetLine2:
          type: string
          x-stoplight:
            id: mmxhb8sdzu0b0
        zip:
          type: string
        city:
          type: string
        state:
          type: string
        country:
          type: string
        phone:
          type: string
          x-stoplight:
            id: yj4a1ddet87j2
        isRemote:
          type: boolean
          x-stoplight:
            id: nmlr0lk92e2hp
        steLocationCode:
          type: object
          x-stoplight:
            id: jxxg9s4455h1t
          properties:
            locationCode:
              type: string
              x-stoplight:
                id: rm5caha8efems
            stateCode:
              type: string
              x-stoplight:
                id: anth3c82ksjp9
            countyCode:
              type: string
              x-stoplight:
                id: k2onu543xceey
            cityCode:
              type: string
              x-stoplight:
                id: 09ilcuma9ds23
            schoolCode:
              type: string
              x-stoplight:
                id: p466avszwv90x
            municipalityCode:
              type: string
              x-stoplight:
                id: uxubttcx58lgc
            psdCode:
              type: string
              x-stoplight:
                id: irrn4il5jp5qy
            transitDistrictCode:
              type: string
              x-stoplight:
                id: 41w08evs09sqf
            isOverridden:
              type: string
              x-stoplight:
                id: 0zf0azi5b5dzv
    WorkLocation:
      title: WorkLocation
      type: object
      description: A work location object.
      x-tags:
        - Models
      properties:
        id:
          type: string
          x-stoplight:
            id: 42exrorjwftqh
        nickname:
          type: string
          x-stoplight:
            id: v9uytw8586aem
        address:
          $ref: '#/components/schemas/Address'
    Entities:
      type: object
      x-examples:
        Example 1:
          CA:
            - id: 6490de7ff33b0e05dbf395ef
              entityInfo:
                legalName: Acme Co
                businessNumber: '785235468'
              isEor: false
            - id: 64b6de6a781b49cf652a84ad
              entityInfo:
                legalName: People Center
                businessNumber: '914874668'
              isEor: false
      title: Entities
      description: >-
        This model represents the legal entities inside of a given company.
        Legal entities based in Canada (CA) are currently supported at this
        time.
      properties:
        CA:
          type: array
          description: CA represents Canada.
          items:
            type: object
            properties:
              id:
                type: string
                description: The unique Rippling ID of the legal entity
              entityInfo:
                type: object
                properties:
                  legalName:
                    type: string
                    description: The legal name of the entity
                  businessNumber:
                    type: string
                    description: The Canada Business Number
              isEor:
                type: boolean
                description: >-
                  If set to true, the legal entity is Rippling's EOR. If set to
                  false, the legal entity is not on Rippling's EOR.
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````